# Kompetenzinventar

Dieses Repo enthält die Dokumentation des Projekts
Kompentenzinventar - einer Webapplkation zur Erfassung von
Userprofilen für die WTF eG.

In diesem Repo werden ausserdem die Issues des gesamten
Kompentenzinventar-Projektes gesammelt.

 
Es existiert jweils ein Repo für den Frontend- und den Backend-Code:

- https://git.wtf-eg.de/kompetenzinventar/ki-frontend.git
- https://git.wtf-eg.de/kompetenzinventar/ki-backend.git

## Building

Building the ki-doku depends on the following Python packages:
* `sphinx`
* `sphinxcontrib-plantuml`

as well as the system dependency `plantuml`, which you can get e.g. with `apt install plantuml`

### Building with Docker

You can also build the docs using docker:

    docker build -t ki-doku-builder .
    docker run -v $(pwd)/doc:/doc ki-doku-builder

    # results:
    #   ./doc/build/latex/kompetenzinventar.pdf
    #   ./doc/build/singlehtml/

## Roadmap

See the [open issues](https://github.com/github_username/repo_name/issues) for a list of proposed features (and known issues).

## Contributing

Contributions are what make the open source community such an amazing place to be learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

(Pull requests currently require an account on our private gitea, but we faithfully await deliverance from our federated [lord and saviour](forgefed.org).)

## License

Distributed under the ??? License. See `LICENSE` for more information.

## Contact

Project Link: [https://git.wtf-eg.de/kompetenzinventar](https://git.wtf-eg.de/kompetenzinventar)


